Skip to main content
Version: 2.1.4

Migrate from 2.0.x to 2.1.x

This guide is provided in order to ease the transition of existing applications using SkyPath v2.0.x to v2.1.x APIs.

Where possible, Xcode will provide an automatic "fix-it".

Breaking Changes

  1. New development environment requirements:

    • Xcode version 14.2 or higher.
    • A target of iOS 14.0 or higher.
    • Swift version 5.7 or higher.
  2. Fetching data is broken down into different areas, so DataAreaType is now introduced in the SkyPathDelegate.

    func didReceiveNewTurbulenceData()

    is replaced with

    func didReceiveNewTurbulenceData(areaType: DataAreaType)
  3. H3.swift class has been removed so if you used it for any operations, please use other the corresponding properties or functions of SkyPath or TurbulenceItem or any other classes. Let us know if you don't find a replacement.

  4. TurbulenceItem.bbox has been renamed to TurbulenceItem.vertices.

  5. SkyPath.startFlight(_:) and SkyPath.endFlight() has been replaced with one method SkyPath.setFlight(_:).